# Reference:
# https://gitlab.manjaro.org/manjaro-arm/packages/community/pinebookpro-post-install/-/blob/4b4206c57b21044bf9c00848bd1f8b6f710d19eb/asound.state
# https://gitlab.manjaro.org/manjaro-arm/packages/community/pinebookpro-audio/-/blob/1f567db09495acc3beb5405c9ef85c3c07b86785/audio_jack_plugged_in.sh
Define.BtCardId "rockchipbt"

SectionVerb {
        EnableSequence [
                exec "/usr/bin/logger -t UCM -p info vc_bt:SectionVerb:EnableSequence"
        ]

        Value {
                Priority 300
        }
}

SectionDevice."SCO" {
        Comment "SCO"

        EnableSequence [
                exec "/usr/bin/logger -t UCM -p info vc_bt:SCO:EnableSequence"
        ]

        DisableSequence [
                exec "/usr/bin/logger -t UCM -p info vc_bt:SCO:DisableSequence"
        ]

        Value {
                PlaybackPriority 100
                PlaybackPCM "hw:${var:BtCardId}"
                CapturePCM "hw:${var:BtCardId}"
                PlaybackRate 8000
                CaptureRate 8000
                PlaybackChannels 2
                CaptureChannels 2
        }
}
